%define upstream_name Horde_Stream_Filter
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.0
Release:     	%mkrel 2
Summary:    	Horde Stream filters
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Stream_Filter = %{version}

%description
This package provides various stream filters.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Stream_Filter.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Stream_Filter.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Stream_Filter
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Stream/Filter/Crc32.php
%{peardir}/Horde/Stream/Filter/Eol.php
%{peardir}/Horde/Stream/Filter/Bin2hex.php
%{peardir}/tests/Horde_Stream_Filter/Horde/Stream/Filter/AllTests.php
%{peardir}/tests/Horde_Stream_Filter/Horde/Stream/Filter/Bin2hexTest.php
%{peardir}/tests/Horde_Stream_Filter/Horde/Stream/Filter/Crc32Test.php
%{peardir}/tests/Horde_Stream_Filter/Horde/Stream/Filter/EolTest.php
%{xmldir}/Horde_Stream_Filter.xml


%changelog

* Mon Nov 28 2011 spuhler <spuhler> 1.1.0-2.mga2
+ Revision: 173478
- added additional files
- upgrade to 1.1.0
- changed Provides: php-pear-Horde_Stream_Filter to Provides:      	php-pear-Horde_Stream_Filter = %%{version}
- imported package php-pear-Horde_Stream_Filter

